package domain

type AlibabaHmMarketingCouponCreateactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   创建成功时会返回五道口优惠券活动id     */
	Data *int64 `json:"data,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   创建优惠券活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingCouponCreateactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingCouponCreateactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingCouponCreateactivityMarketResult) SetData(v int64) *AlibabaHmMarketingCouponCreateactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingCouponCreateactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingCouponCreateactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingCouponCreateactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingCouponCreateactivityMarketResult {
	s.Success = &v
	return s
}
